%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

%define         itcl_sitearch %{tcl_sitearch}/itcl4.1.1

%define         apinum    %{version}
%define         srcname   %{name}%{apinum}

%define         libname   %mklibname %{name} %{apinum}
%define         develname %mklibname -d %{name} %{apinum}


Name:           itk
Version:        4.1.0
Release:        %mkrel 4
Summary:        Object oriented extensions to Tk
Group:          Development/Other
License:        TCL
URL:            https://incrtcl.sourceforge.net/itcl/
Source0:        https://download.sourceforge.net/incrtcl/%{name}%{version}.tar.gz
Patch0:         itk-4.0.2-soname.patch
Patch1:         itk-4.0.2-findinit.patch

BuildRequires:  pkgconfig(tk)
BuildRequires:  itcl-devel
BuildRequires:  itcl-static-devel

%description
incr Tk is Tk extension that provides object-oriented features that are
missing from the Tk extension to Tcl.  The OO features provided by itk are
useful for building megawidgets.

%package -n %{libname}
Summary: Library for linking against itk
Group:   System/Libraries
Requires:  %{name} = %{version}-%{release}

%description -n %{libname}
Library for linking against itk.


%package -n %{develname}
Summary: Development headers for linking against itk
Group:   Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: lib%{name}%{apinum}-devel = %{version}-%{release}

%description -n %{develname}
Development headers for linking against itk.


%prep
%setup -q -n %{srcname}
%autopatch -p1

%build
autoreconf -fi
%configure --with-itcl=%{itcl_sitearch} \
           --libdir=%{tcl_sitearch} \
           --datadir=%{tcl_sitelib}
%make_build


%install
%make_install

pushd %{buildroot}%{_libdir}
ln -s %{tcl_sitearch}/%{name}%{apinum}/lib%{name}%{apinum}.so .
popd


%files
%dir %{tcl_sitearch}/%{name}%{apinum}
%{tcl_sitearch}/%{name}%{apinum}/tclIndex
%{tcl_sitearch}/%{name}%{apinum}/*.tcl
%{tcl_sitearch}/%{name}%{apinum}/*.itk
%{_mandir}/mann/*
%doc license.terms


%files -n %{libname}
%{tcl_sitearch}/%{name}%{apinum}/*.so


%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Wed Dec 07 2022 umeabot <umeabot> 4.1.0-4.mga9
+ Revision: 1918961
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Thu Feb 13 2020 umeabot <umeabot> 4.1.0-3.mga8
+ Revision: 1513671
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1298339
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 daviddavid <daviddavid> 4.1.0-1.mga7
+ Revision: 1223828
- new version: 4.1.0
- update URL and add a Source URL
- fix itcl path

* Sun Mar 27 2016 daviddavid <daviddavid> 4.0.2-2.mga6
+ Revision: 995732
- rebuild for itcl 4.0.4 on arm

* Sun Mar 27 2016 eatdirt <eatdirt> 4.0.2-1.mga6
+ Revision: 995707
- Upgrade to version 4.0.2

* Thu Feb 11 2016 umeabot <umeabot> 3.4.1-4.mga6
+ Revision: 954660
- Mageia 6 Mass Rebuild

* Sun Oct 04 2015 eatdirt <eatdirt> 3.4.1-3.mga6
+ Revision: 886140
- Rebuild for tcl8.6

* Thu Sep 24 2015 eatdirt <eatdirt> 3.4.1-2.mga6
+ Revision: 883069
- Fix missing soname

* Thu Sep 24 2015 eatdirt <eatdirt> 3.4.1-1.mga6
+ Revision: 882527
- Upgrade to version 3.4.1, add api number to libname

* Wed Oct 15 2014 umeabot <umeabot> 3.4-4.mga5
+ Revision: 744349
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4-3.mga5
+ Revision: 680584
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.4-2.mga4
+ Revision: 531148
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 joequant <joequant> 3.4-1.mga4
+ Revision: 462219
- imported package itk

